var acc='x';
var arr='';

function lpagprin(){
    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('p_id1').value='';
    document.getElementById('p_id2').value='';

    document.getElementById('a_id1').value='';
    document.getElementById('a_id2').value='';

    document.getElementById('i_h').value='';
    document.getElementById('fecha').value='';
    document.getElementById('laborac').innerHTML='';
    document.getElementById('p_id1').focus();
}

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function eliminar(profesor,grado,curso,asignatura,codigo){


var parametros = {"accion":'eliminar_labor_aca',
                          "profesor":profesor,
                          "grado":grado,
                          "curso":curso,
                          "asignatura":asignatura,
                          "codigo":codigo

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_labor_academica.php",
                type:  'post',
                success:function (response){

                            alert(response);
                            informacion_tabla();
                    
                }
        });
}

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function editar(profesor,grado,curso,asignatura,sec){
var periodo;

if(document.getElementById('btnp1').checked)
   periodo=1;
if(document.getElementById('btnp2').checked)
   periodo=2;
if(document.getElementById('btnp3').checked)
   periodo=3;
if(document.getElementById('btnp4').checked)
   periodo=4; 


 acc=sec;

    var parametros = {"accion":'editar_labor_aca',
                          "profesor":profesor,
                          "grado":grado,
                          "curso":curso,
                          "asignatura":asignatura,
                          "periodo":periodo, 
                          "codigo":sec

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_labor_academica.php",
                type:  'post',
                success:function (response){

                            arr=response.split(";");
                            document.getElementById('g_id1').value=arr[2];
                            document.getElementById('g_id2').value=arr[3];

                            document.getElementById('c_id1').value=arr[4];
                            document.getElementById('c_id2').value=arr[5];

                            document.getElementById('p_id1').value=arr[0];
                            document.getElementById('p_id2').value=arr[1];

                            document.getElementById('a_id1').value=arr[6];
                            document.getElementById('a_id2').value=arr[7];

                            document.getElementById('i_h').value=arr[8];
                            document.getElementById('fecha').value=arr[9];
                          
                           
                }});
}

//----------------------------------

function grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var pro=get("p_id1");
var grad=get("g_id1");
var cur=get("c_id1");
var asig=get("a_id1");
var i_h=get("i_h");
var fecha=get("fecha");
var periodo;


if(pro=='' && fecha==''){
   
   if(pro==''){
       alert("Ingrese Profesor");
       exit();
   }
   if(grad==''){
       alert("Ingrese Grado");
       exit();
   }
   if(cur==''){
       alert("Ingrese Curso");
       exit();
   }
   if(asig==''){
       alert("Ingrese Asigantura");
       exit();
   }
   if(i_h==''){
       alert("Ingrese Intensidad Horaria");
       exit();
   }

}

if(document.getElementById('btnp1').checked)
   periodo=1;
if(document.getElementById('btnp2').checked)
   periodo=2;
if(document.getElementById('btnp3').checked)
   periodo=3;
if(document.getElementById('btnp4').checked)
   periodo=4;      

var op='';
var datos='';

if(acc=='x')
    {
        op='x';   
        arr='';
        
    }else{
        op=acc;
        acc='x';
        datos=arr;
        arr='';
        
    }

// alert("operacion: "+acc);

 
var parametros = {"accion":'grabar_labor_aca',
                          "operacion":op,
                          "pro":pro,
                          "grado":grad,
                          "curso":cur,
                          "asignatura":asig,
                          "i_h":i_h,
                          "fecha":fecha,
                          "periodo":periodo,
                          "datos":datos

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_labor_academica.php",
                type:  'post',
                success:function (response){
                         
                       if (response=="Fecha Actualiza"){  
                           alert(response);
                           informacion_tabla();
                       }    
                        else if(response==0){

                            alert("Labor Academica Ya Registrada");
                            informacion_tabla();
                        
                        }else if(response==1){

                            alert("Labor Academica Registrada");
                            informacion_tabla();

                        }else if(response==2){
                            
                            alert("Labor Academica Actualizada");
                            informacion_tabla();
                        }
                }
        });

}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//------------------------------------

function reportes(){

 var grado=get('g_id1');
 var cur=get('c_id1');
 var pro=get('p_id1');
 var url;

if(pro!=''&& grado=='' && cur=='')
    {
        url='pdf_con2.php?pro='+pro;
        window.open('app/model/reportes/'+url,"width=1000,height=500,scrollbars=NO");

    }else if(grado!=''&&cur!=''&&pro=='')
    {
        
        url='pdf_con1.php?grado='+grado+'&curso='+cur;
        window.open('app/model/reportes/'+url,"width=1000,height=500,scrollbars=NO");

    }

}

//----------------------------------

function consolidado(){
 
window.open("app/model/reportes/consolidado.php");


}


//----------------------------------
function menu_ingresar(){
  document.location.href="../ingresar.php?action=";
}

